import java.io.IOException;
import javax.microedition.lcdui.*;

class DrawImageCanvas extends Canvas {
	private Image bg_img;
	public DrawImageCanvas(){		
	       try {
	        	bg_img = Image.createImage("/bg_img.png");
	        } catch (IOException e) { 
	        	e.printStackTrace();
	        }
	}		
	public void paint(Graphics g) {		
		g.setColor(255, 255, 255);
		g.drawRect(0, 0, getWidth(), getHeight());
		g.drawImage(bg_img, getWidth()/2, getHeight()/2, Graphics.VCENTER | Graphics.HCENTER);
		g.setColor(255,0,0);
		g.setStrokeStyle(Graphics.DOTTED);
		g.drawLine(getWidth()/2, 50, getWidth()/2, getHeight()-50);
		g.drawLine(10, getHeight()/2, getWidth()-10, getHeight()/2);
		g.setColor(0, 0, 255);
		g.drawString("Graphics.VCENTER | Graphics.HCENTER", getWidth()/2, 270, Graphics.TOP | Graphics.HCENTER);
	}
}