import javax.microedition.lcdui.*;
import javax.microedition.media.*;

import java.io.*;

public class TitleCanvas extends Canvas implements Runnable {
	private Thread thread;	
	private Image bg_img;
	/* ŸƲ ̹ */
	private Image title1, title2, title3;
	/*  ó */
	private Player mPlayer;
	private boolean sound;
		
	public TitleCanvas() {
		try {
			bg_img = Image.createImage("/bg_img.png");  // 
			title1 = Image.createImage("/title1.png");  // ﱹ
			title2 = Image.createImage("/title2.png");  // 
			title3 = Image.createImage("/title3.png");  // ÷
		} catch (IOException e) { 
			System.out.println("̹    ϴ.");
		}
		thread = new Thread(this);
		thread.start();     // run() ȣ
	}
	public void run() {
		while(true){
			try {
				Thread.sleep(200);
			} catch(InterruptedException e){
				System.out.println(e);
			}
			repaint();      // paint() ȣ
		}
	}
	public void paint(Graphics g) {
		if(!sound) soundPlay("title");
		draw_title(g);
	}
	public void draw_title(Graphics g) {
		g.setColor(255,255,255);         // 
		g.fillRect(0, 0, getWidth(), getHeight());   // ü ȭ 
		g.drawImage(bg_img,0, 0, Graphics.TOP | Graphics.LEFT);  // 
		g.drawImage(title1,0, 0, Graphics.TOP | Graphics.LEFT);
		g.drawImage(title2, getWidth()/2, title1.getHeight()+ 10, Graphics.TOP | Graphics.HCENTER);	
		g.drawImage(title3, getWidth()/2+50, title1.getHeight()+50, Graphics.TOP | Graphics.HCENTER);
	}
	public void soundPlay(String name) {
		soundStop();
		try	{
			InputStream in = getClass().getResourceAsStream("/"+name+".wav");
	  		mPlayer = Manager.createPlayer(in, "audio/x-wav");
	  		mPlayer.start();
		} catch(Exception e){}
		sound = true;
	}
	final public void soundStop() {			
		if(mPlayer != null) {
			try {
				mPlayer.stop();
				mPlayer = null;
				sound = false;
			}catch(Exception e) { }
		}
	}
}