import javax.microedition.lcdui.*;
import java.io.*;
class TitleDatCanvas extends Canvas implements Runnable {	
	 /** Ŭ  **/
	private Thread thread;
	/**  ⺻  **/	
	private int LCDWidth, LCDHeight, LCDWhafe, LCDHhafe;
	private Image[] img1 = null;
	private Image[] img2 = null;
	public TitleDatCanvas(){
		thread = new Thread(this);
		LCDWidth = getWidth();
		LCDHeight = getHeight();
		LCDWhafe = LCDWidth/2;
		LCDHhafe= LCDHeight/2;		
		img1 = new Image[3];
		int arr1[]={0, 9640, 834, 650};	            // dat  
		int datSize1 = 11124;	                    // dat  
		img2 = new Image[5];
		int arr2[]={0, 1898, 1341, 1634, 150, 264};	// dat  
		int datSize2 = 5287;	                    // dat  
		loadImage("title", img1, datSize1, arr1, 1);
		loadImage("titleName", img2, datSize2, arr2, 2);
		thread.start();
	}	
	/**  Լ **/
	public void run() {							            
		while(true) {
			try{
				thread.sleep(150);					
			}catch(InterruptedException e) {
				break;
			}																
			repaint();			
		}			        		        	
	}	
	public void paint( Graphics g ) {
		g.drawImage(img1[0], 0, 0, g.TOP|g.LEFT);
		g.drawImage(img1[2], 100, 190, g.TOP|g.LEFT);
		g.drawImage(img1[1], 104, 198, g.TOP|g.LEFT);	
		g.drawImage(img2[0], 0, 0, g.TOP|g.LEFT);  		                                      // ﱹ
		g.drawImage(img2[1], LCDWhafe-img2[1].getWidth(), img2[0].getHeight(), g.TOP|g.LEFT); // 
		g.drawImage(img2[2], LCDWidth-5, img2[0].getHeight()-10, g.TOP|g.RIGHT);		      // ÷
		g.drawImage(img2[3], LCDWhafe+16, LCDHeight-2, g.BOTTOM|g.LEFT);		//
		g.drawImage(img2[4], LCDWhafe+14, LCDHeight-2, g.BOTTOM|g.RIGHT);		//ΰ
	}	
	public void loadImage(String add, Image img[], int datSize, int arr[], int index ){
		InputStream is = null;
		int temp = 0;
		try	{
			is = getClass().getResourceAsStream("/" + add+".dat");

			byte[] ByteImage_1 = new byte[datSize];

			is.read(ByteImage_1);

			for(byte i=0; i< img.length; i++) {
				temp += arr[i];
				if(index == 1)
					img1[i] = Image.createImage(ByteImage_1, temp, arr[i+1]);
				else
					img2[i] = Image.createImage(ByteImage_1, temp, arr[i+1]);
			}	
			ByteImage_1 = null;
		}catch(Exception e) {  }
		catch(OutOfMemoryError omError) {System.out.println(add+ " out "); }
		finally
		{
			try
			{
				if(is != null)
				   is.close();
			}catch(Exception e){  }
		}
	}	
}