import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class SpriteTransMIDlet extends MIDlet implements CommandListener {
	private Display display;
	private SpriteTransCanvas canvas;
	private Command exit_cmd;
	public SpriteTransMIDlet() {
		exit_cmd = new Command("Exit", Command.EXIT, 1);
		display = Display.getDisplay(this);
		canvas = new SpriteTransCanvas();
		canvas.addCommand(exit_cmd);
		canvas.setCommandListener(this);		
	}
	public void startApp() {
		display.setCurrent(canvas);
//		canvas.start();
	}
	public void pauseApp() { }
	public void destroyApp(boolean unconditional) {
		if(canvas != null){	
			canvas.stop();
		}
	}
	public void commandAction(Command cmd, Displayable disp) {
		if (cmd == exit_cmd){
			destroyApp(true);
			notifyDestroyed();
		}
	}
}