import javax.microedition.lcdui.*;
import java.io.*;
class ThreadCanvas extends Canvas {
	private Image ani_img;
	private int curFrame;
	ThreadClass thread_class;

	public ThreadCanvas() {		
		try {
			ani_img = Image.createImage("/animation.png");
		} catch (IOException e) { 
			e.printStackTrace();
	    }
		curFrame = 0;
		thread_class = new ThreadClass(this);	
	}
	public void paint(Graphics g) {		
		g.setColor(0,0,0);
		g.drawRect(0, 0, getWidth(), getHeight());
		int x = getWidth() / 2-33;
		int y = getHeight() / 2-27;
		g.setClip(x, y, 66, 54);
		g.drawImage(ani_img, x-(66*curFrame), y, Graphics.TOP | Graphics.LEFT);	
		g.setClip(0, 0, getWidth(), getHeight());
		this.curFrame++;
		if (curFrame >= 10) curFrame = 0;
	}
}