import javax.microedition.lcdui.*;

class KeyEventCanvas extends Canvas {
    private String gameMessage = "[Press Game Key]";
    private int x, y;
    public KeyEventCanvas() {
    	x = getWidth()/2;
    	y = getHeight()/2;
    }
    public void paint(Graphics g) {
	    g.setGrayScale(255);
	    g.fillRect(0, 0, getWidth(), getHeight());
	    g.setGrayScale(0);
	    g.drawString(gameMessage, x, y, Graphics.HCENTER | Graphics.BASELINE);
    }
    public void keyPressed(int keyCode) {
	    int gameAction = getGameAction(keyCode);
	    switch(gameAction) {
	    	case LEFT: gameMessage = "LEFT";    	break;
	    	case RIGHT: gameMessage = "RIGHT";     	break;
	    	case UP: gameMessage = "UP"; 	    	break;
	    	case DOWN: gameMessage = "DOWN";     	break;
	    	case FIRE: gameMessage = "FIRE";     	break;
	    	case GAME_A: gameMessage = "GAME_A";   	break;
	    	case GAME_B: gameMessage = "GAME_B";   	break;
	    	case GAME_C: gameMessage = "GAME_C";   	break;
	    	case GAME_D: gameMessage = "GAME_D";   	break;
	    	default: gameMessage = "";       break;
	    }
	    repaint();
    }  
}