import javax.microedition.lcdui.*;
import java.io.*;
import javax.microedition.media.*;

public class LogoCanvas extends Canvas implements Runnable {
	private int logoCount;
	private byte gameState;
	private Thread thread;	
	private Image logo_img;
	static final byte g_LOGO = 1;
	 
	public LogoCanvas() {

		try {
			logo_img = Image.createImage("/images/title/logo.png");  // ΰ
		} catch(IOException e) { 
			System.out.println("̹    ϴ.");
		}
		gameState = g_LOGO;
		thread = new Thread(this);
		thread.start();     // run() ȣ
	}
	public void run() {
		while(true){
			try{
				thread.sleep(200);
			}catch(InterruptedException e){
				System.out.println(e);
			}
			repaint();      // paint() ȣ
		}
	}
	public void paint(Graphics g) {
		if(gameState == g_LOGO) {
			draw_logo(g);
		}
	}
	public void draw_logo(Graphics g) {
		g.setColor(255,255,255);         // 
		g.fillRect(0, 0, getWidth(), getHeight());   //ü ȭ 
		g.drawImage(logo_img, getWidth()/2, getHeight()/2, Graphics.VCENTER | Graphics.HCENTER);		
		int x = getWidth()/2 - logo_img.getWidth()/2;
		int y = getHeight()/2 - logo_img.getHeight()/2;
		g.fillRect(x, y, logo_img.getWidth(), logo_img.getHeight()/2-logoCount);    
		g.fillRect(x, getHeight()/2+logoCount, logo_img.getWidth(), logo_img.getHeight()/2-logoCount); 
		if(logoCount < logo_img.getHeight()/2) logoCount+=1;
	}
}