import javax.microedition.lcdui.*;
import javax.microedition.media.Manager;
import javax.microedition.media.Player;

import java.io.IOException;
import java.io.InputStream;

class SoundCanvas extends Canvas {
	private Player mPlayer;
	private Image ani_img;
	private int curFrame = 0;
	public SoundCanvas(){		
		try {
			ani_img = Image.createImage("/animation.png");
		} catch (IOException e) { 
			e.printStackTrace();
	    }
	}		
	public void paint(Graphics g) {
		
		g.setColor(0,0,0);
		g.drawRect(0, 0, getWidth(), getHeight());
		int x = getWidth()/2-33;
		int y = getHeight()/2-27;
		g.setClip(x, y, 66, 54);
		g.drawImage(ani_img, x-(66*curFrame), y, Graphics.TOP | Graphics.LEFT);	
		g.setClip(0, 0, getWidth(), getHeight());
	}
	public void setCurFrame(){
		if (curFrame == 0) soundPlay();
		this.curFrame++;
		if (curFrame >= 10) curFrame = 0;
		repaint();		
	}
	public void soundPlay(){
		soundStop();
		try	{
			InputStream in = getClass().getResourceAsStream("/title.wav");
	  		mPlayer = Manager.createPlayer(in, "audio/x-wav");
	  		mPlayer.start();
		}catch(Exception e ){}
	}
	final public void soundStop(){			
		if( mPlayer != null ) {
			try {
				mPlayer.stop();
				mPlayer = null;
			}catch(Exception e) { }
		}
	}
}